package com.udapsoft.waf.system.handler.dao;

import java.io.Serializable;
import java.util.List;

public class EventMapping implements Serializable {

	private static final long serialVersionUID = 6951746767605267246L;
	private String screen;
	private String event;
	private List<?> bizs;

	public EventMapping(String screen, String event, List<?> bizs) {
		super();
		this.screen = screen;
		this.event = event;
		this.bizs = bizs;
	}

	public String getName() {
		return this.screen;
	}

	public String getEvent() {
		return this.event;
	}

	public List<?> getBizs() {
		return this.bizs;
	}

	public String getBiz(int index) {
		if (this.bizs != null)
			return (String) this.bizs.get(index);
		return null;
	}

	public int getBizSize() {
		if (this.bizs != null)
			return this.bizs.size();
		return 0;
	}

	public String toString() {
		String bizs = "";
		for (int i = 0; i < this.bizs.size(); i++) {
			bizs += (String) this.bizs.get(i);
			if (i < (this.bizs.size() - 1))
				bizs += ", ";
		}
		return "[EventMapping: screen=" + this.screen + ", " + "event="
				+ this.event + ", " + "biz=(" + bizs + ")]";
	}
}